      subroutine lifich(question,iopt,fich,long)
c
      character*128 fich
      character*256 ligne
      character*(*) question 
c
      call print_moi_ca(question,iopt)
c
      read(*,'(a)') ligne
      ideb=0
  10  ideb=ideb+1
      if (ligne(ideb:ideb).eq.' '.and.ideb.lt.256) goto 10
      if (ideb.eq.256) then
        long=0
        return
      endif
c
      ifin = ideb
  20  ifin=ifin+1
      if (ligne(ifin:ifin).ne.' '.and.ifin.lt.256) goto 20
      if (ligne(ifin:ifin).eq.' ') ifin = ifin-1
c
      long = ifin+1-ideb
      if (long.gt.128) then
        print*,
     &  'REPONSE TROP LONGUE (',long,' CARACTERES) - TRONQUEE A 128'
        long=128
      endif
c
      fich(1:long) = ligne(ideb:ifin)
      if (long.lt.128) then
        do i=long+1,128
          fich(i:i) = ' '
        enddo
      endif
      if (iopt.gt.0) write(iopt,'(a)') fich(1:long)
      end
